import { renderless, api } from '@opentinyvue/vue-renderless/async-flowchart/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Flowchart from '@opentinyvue/vue-flowchart';
import Loading from '@opentinyvue/vue-loading';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["fetch"]),
  emits: ["click-node", "click-link", "click-blank", "click-group"],
  components: {
    TinyFlowchart: Flowchart
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        Loading
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    attrs: {
      "data-tag": "tiny-async-flowchart"
    }
  }, [_vm.state.loading ? _c("div", {
    staticClass: "h-12"
  }) : _c("tiny-flowchart", {
    ref: "chart",
    attrs: {
      "data": _vm.state.data,
      "config": _vm.state.config
    },
    on: {
      "click-node": _vm.handleClickNode,
      "click-link": _vm.handleClickLink,
      "click-blank": _vm.handleClickBlank,
      "click-group": _vm.handleClickGroup
    }
  })], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
